# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name shakespeare-text

Name:           ghc-%{pkg_name}
Version:        1.0.0.5
Release:        2%{?dist}
Summary:        Interpolation with quasi-quotation

License:        MIT
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-shakespeare-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps

%description
Interpolation with quasi-quotation: stick haskell variables into haskell
strings.

Note there is no dependency on haskell-src-extras. If you don't mind that
dependency, you may want to look at using these packages: Interpolation,
interpolatedstring-perl6, interpolatedstring-qq.

This package has 1 other general feature that those others may not (but would
be easy to duplicate): instead of using quasi-quoting you can also use an
external file. It also has url/embeding interpolation, with \@ and \^, which
are used in Yesod.

This package also uses blaze-builder for efficiently constructing strings (I am
not sure what the other packages use). This might be of interest to you for
large templates or performance sensitive code, or otherwise having a nice
interface to blaze-builder

Shakespeare is a template family for type-safe, efficient templates with simple
variable interpolation. Shakespeare templates can be used inline with a
quasi-quoter or in an external file. Shakespeare interpolates variables
according to the type being inserted. In this case, the variable type needs a
ToText instance.

Please see http://www.yesodweb.com/book/shakespearean-templates for a more
thorough description and examples of the shakespeare family of template
languages.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the development files for
the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sun Jul 21 2013 Jens Petersen <petersen@redhat.com> - 1.0.0.5-2
- minor description fix ups while bumping release

* Sun Jun 16 2013 Ben Boeckel <mathstuf@gmail.com> - 1.0.0.5-1
- Update to 1.0.0.5
- Update spec to cabal-rpm-0.8.1

* Fri Jul 20 2012 Ben Boeckel <mathstuf@gmail.com> - 1.0.0.3-1
- Update to 1.0.0.3

* Tue Jul 10 2012 Ben Boeckel <mathstuf@gmail.com> - 1.0.0.2-1
- Update to 1.0.0.2

* Mon Apr 23 2012 Ben Boeckel <mathstuf@gmail.com> - 1.0.0.1-1
- Update to 1.0.0.1

* Mon Mar 26 2012 Ben Boeckel <mathstuf@gmail.com> - 0.11-1
- Initial package

* Sun Mar  4 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.4
